Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 19442 - CFLAGS are not passed to uw-imap build
Summary: CFLAGS are not passed to uw-imap build
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: foser (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-16 17:39 UTC by Ilya Volynets (RETIRED)
Modified: 2003-05-23 14:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to fix the problem (uw-imap-2002b.ebuild.diff,851 bytes, patch)
2003-04-16 17:41 UTC, Ilya Volynets (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya Volynets (RETIRED) gentoo-dev 2003-04-16 17:39:15 UTC
CFLAGS from make.conf do not make it to uw-imap build. Following patch fixes it
--- uw-imap-2002b.ebuild.orig   Wed Apr 16 09:42:58 2003
+++ uw-imap-2002b.ebuild        Wed Apr 16 09:50:23 2003
@@ -24,7 +24,6 @@
        cd ${S}/src/osdep/unix/
        cp Makefile Makefile.orig
        sed \
-               -e "s:-g -fno-omit-frame-pointer -O6:\${CFLAGS}:" \
                -e "s:SSLDIR=/usr/local/ssl:SSLDIR=/usr:" \
                -e "s:SSLCERTS=\$(SSLDIR)/certs:SSLCERTS=/etc/ssl/certs:" \
                < Makefile.orig > Makefile
@@ -34,7 +33,10 @@
 src_compile() {                           
        if use ssl; then
                cd ${S}
-               make lnp SPECIALAUTHENTICATORS=ssl SSLTYPE=unix.nopwd \
+               make lnp SPECIALAUTHENTICATORS=ssl \
+                        SSLTYPE=unix.nopwd \
+                        EXTRACFLAGS="${CFLAGS}" \
+                        EXTRALDFLAGS="${LDFLAGS}" \
                        || die
 
                local i
@@ -60,7 +62,10 @@
                        umask 022
                done
        else
-               make lnp || die
+               make lnp \
+                        EXTRACFLAGS="${CFLAGS}" \
+                        EXTRALDFLAGS="${LDFLAGS}" \
+               || die
        fi
 }



Reproducible: Always
Steps to Reproduce:
Comment 1 Ilya Volynets (RETIRED) gentoo-dev 2003-04-16 17:41:22 UTC
Created attachment 10761 [details, diff]
Patch to fix the problem
Comment 2 foser (RETIRED) gentoo-dev 2003-05-23 14:04:27 UTC
it seems our current setup directly reflect our CFLAGS settings and yours the basic setting "-g -fno-omit<blah> -O6" + our CFLAGS . I prefer our current way of doing things. And i don't see any benefit in providing LDFLAGS .